org.eclnt.jsfserver.elements.componentnodes

## Class IMAGEMAPNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.IMAGEMAPNode

- All Implemented Interfaces:
    java.io.Serializable

      public class IMAGEMAPNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IMAGEMAPNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IMAGEMAPNode` | `bindAccessiblename(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindActionListener(IActionListenerDelegation value)`
    `IMAGEMAPNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindBorder(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindComment(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindDragroundtrip(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindDragsend(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindDroprastertext(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindDropreceive(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindDropshape(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindFocusable(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindFocusdrawborder(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindHelpid(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindImage(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindImageareainvokeevent(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindImageareas(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindRendered(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindRounding(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindShadow(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindTooltip(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindX(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `bindY(IDynamicContentBindingObject value)`
    `IMAGEMAPNode` | `setAccessiblename(java.lang.String value)`
    `IMAGEMAPNode` | `setActionListener(java.lang.String value)`
    `IMAGEMAPNode` | `setAdapterbinding(java.lang.String value)`
    `IMAGEMAPNode` | `setAttributemacro(java.lang.String value)`
    `IMAGEMAPNode` | `setBorder(java.lang.String value)`
    `IMAGEMAPNode` | `setComment(java.lang.String value)`
    `IMAGEMAPNode` | `setConfiginfo(java.lang.String value)`
    `IMAGEMAPNode` | `setDragroundtrip(boolean value)`
    `IMAGEMAPNode` | `setDragroundtrip(java.lang.String value)`
    `IMAGEMAPNode` | `setDragsend(java.lang.String value)`
    `IMAGEMAPNode` | `setDroprastertext(java.lang.String value)`
    `IMAGEMAPNode` | `setDropreceive(java.lang.String value)`
    `IMAGEMAPNode` | `setDropshape(java.lang.String value)`
    `IMAGEMAPNode` | `setFocusable(boolean value)`
    `IMAGEMAPNode` | `setFocusable(java.lang.String value)`
    `IMAGEMAPNode` | `setFocusdrawborder(boolean value)`
    `IMAGEMAPNode` | `setFocusdrawborder(java.lang.String value)`
    `IMAGEMAPNode` | `setFxstyleseq(java.lang.String value)`
    `IMAGEMAPNode` | `setHelpid(java.lang.String value)`
    `IMAGEMAPNode` | `setId(java.lang.String value)`
    `IMAGEMAPNode` | `setImage(java.lang.String value)`
    `IMAGEMAPNode` | `setImageareainvokeevent(java.lang.String value)`
    `IMAGEMAPNode` | `setImageareas(java.lang.String value)`
    `IMAGEMAPNode` | `setPopupmenu(java.lang.String value)`
    `IMAGEMAPNode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `IMAGEMAPNode` | `setReference(java.lang.String value)`
    `IMAGEMAPNode` | `setRendered(boolean value)`
    `IMAGEMAPNode` | `setRendered(java.lang.String value)`
    `IMAGEMAPNode` | `setRounding(int value)`
    `IMAGEMAPNode` | `setRounding(java.lang.String value)`
    `IMAGEMAPNode` | `setRowalignmenty(java.lang.String value)`
    `IMAGEMAPNode` | `setShadow(java.lang.String value)`
    `IMAGEMAPNode` | `setStyleseq(java.lang.String value)`
    `IMAGEMAPNode` | `setStylevariant(java.lang.String value)`
    `IMAGEMAPNode` | `setTooltip(java.lang.String value)`
    `IMAGEMAPNode` | `setX(int value)`
    `IMAGEMAPNode` | `setX(java.lang.String value)`
    `IMAGEMAPNode` | `setY(int value)`
    `IMAGEMAPNode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IMAGEMAPNode

          public IMAGEMAPNode()

  - ### Method Detail

    - #### setId

          public IMAGEMAPNode setId(java.lang.String value)

    - #### setAccessiblename

          public IMAGEMAPNode setAccessiblename(java.lang.String value)

    - #### bindAccessiblename

          public IMAGEMAPNode bindAccessiblename(IDynamicContentBindingObject value)

    - #### setActionListener

          public IMAGEMAPNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public IMAGEMAPNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public IMAGEMAPNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public IMAGEMAPNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public IMAGEMAPNode setAttributemacro(java.lang.String value)

    - #### setBorder

          public IMAGEMAPNode setBorder(java.lang.String value)

    - #### bindBorder

          public IMAGEMAPNode bindBorder(IDynamicContentBindingObject value)

    - #### setComment

          public IMAGEMAPNode setComment(java.lang.String value)

    - #### bindComment

          public IMAGEMAPNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public IMAGEMAPNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public IMAGEMAPNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDragroundtrip

          public IMAGEMAPNode setDragroundtrip(java.lang.String value)

    - #### bindDragroundtrip

          public IMAGEMAPNode bindDragroundtrip(IDynamicContentBindingObject value)

    - #### setDragroundtrip

          public IMAGEMAPNode setDragroundtrip(boolean value)

    - #### setDragsend

          public IMAGEMAPNode setDragsend(java.lang.String value)

    - #### bindDragsend

          public IMAGEMAPNode bindDragsend(IDynamicContentBindingObject value)

    - #### setDroprastertext

          public IMAGEMAPNode setDroprastertext(java.lang.String value)

    - #### bindDroprastertext

          public IMAGEMAPNode bindDroprastertext(IDynamicContentBindingObject value)

    - #### setDropreceive

          public IMAGEMAPNode setDropreceive(java.lang.String value)

    - #### bindDropreceive

          public IMAGEMAPNode bindDropreceive(IDynamicContentBindingObject value)

    - #### setDropshape

          public IMAGEMAPNode setDropshape(java.lang.String value)

    - #### bindDropshape

          public IMAGEMAPNode bindDropshape(IDynamicContentBindingObject value)

    - #### setFocusable

          public IMAGEMAPNode setFocusable(java.lang.String value)

    - #### bindFocusable

          public IMAGEMAPNode bindFocusable(IDynamicContentBindingObject value)

    - #### setFocusable

          public IMAGEMAPNode setFocusable(boolean value)

    - #### setFocusdrawborder

          public IMAGEMAPNode setFocusdrawborder(java.lang.String value)

    - #### bindFocusdrawborder

          public IMAGEMAPNode bindFocusdrawborder(IDynamicContentBindingObject value)

    - #### setFocusdrawborder

          public IMAGEMAPNode setFocusdrawborder(boolean value)

    - #### setFxstyleseq

          public IMAGEMAPNode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public IMAGEMAPNode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHelpid

          public IMAGEMAPNode setHelpid(java.lang.String value)

    - #### bindHelpid

          public IMAGEMAPNode bindHelpid(IDynamicContentBindingObject value)

    - #### setImage

          public IMAGEMAPNode setImage(java.lang.String value)

    - #### bindImage

          public IMAGEMAPNode bindImage(IDynamicContentBindingObject value)

    - #### setImageareainvokeevent

          public IMAGEMAPNode setImageareainvokeevent(java.lang.String value)

    - #### bindImageareainvokeevent

          public IMAGEMAPNode bindImageareainvokeevent(IDynamicContentBindingObject value)

    - #### setImageareas

          public IMAGEMAPNode setImageareas(java.lang.String value)

    - #### bindImageareas

          public IMAGEMAPNode bindImageareas(IDynamicContentBindingObject value)

    - #### setPopupmenu

          public IMAGEMAPNode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public IMAGEMAPNode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public IMAGEMAPNode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public IMAGEMAPNode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public IMAGEMAPNode setReference(java.lang.String value)

    - #### setRendered

          public IMAGEMAPNode setRendered(java.lang.String value)

    - #### bindRendered

          public IMAGEMAPNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public IMAGEMAPNode setRendered(boolean value)

    - #### setRounding

          public IMAGEMAPNode setRounding(java.lang.String value)

    - #### bindRounding

          public IMAGEMAPNode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public IMAGEMAPNode setRounding(int value)

    - #### setRowalignmenty

          public IMAGEMAPNode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public IMAGEMAPNode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setShadow

          public IMAGEMAPNode setShadow(java.lang.String value)

    - #### bindShadow

          public IMAGEMAPNode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public IMAGEMAPNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public IMAGEMAPNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public IMAGEMAPNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public IMAGEMAPNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTooltip

          public IMAGEMAPNode setTooltip(java.lang.String value)

    - #### bindTooltip

          public IMAGEMAPNode bindTooltip(IDynamicContentBindingObject value)

    - #### setX

          public IMAGEMAPNode setX(java.lang.String value)

    - #### bindX

          public IMAGEMAPNode bindX(IDynamicContentBindingObject value)

    - #### setX

          public IMAGEMAPNode setX(int value)

    - #### setY

          public IMAGEMAPNode setY(java.lang.String value)

    - #### bindY

          public IMAGEMAPNode bindY(IDynamicContentBindingObject value)

    - #### setY

          public IMAGEMAPNode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.